---
- name: update nginx with handlers
  hosts: planetexpress 
  tasks:
  - name: install nginx
    package:
      name: nginx
      state: present
    become: True
    tags:
    - download
    - bootstrap

  - name: copy nginx conf
    copy:
      src: nginx.conf
      dest: /etc/nginx/nginx.conf
    become: True
    notify:
    - run nginx commands to restart it
    tags:
    - configure
    - bootstrap

  handlers:
  - name: run nginx commands to restart it
    command:
      cmd: "{{ item }}"
    loop:
    - sudo nginx -s stop
    - sudo nginx

